## Version 0.11.0 (2023-12-15)
### 🎉 New features

- add route to download binary files
- *BREAKING CHANGE* allow multipart in rql route to upload files
- *BREAKING CHANGE* enable CSRF protection for all routes
- *BREAKING CHANGE* make rql route behave like transaction
- *BREAKING CHANGE* move api path prefix config in pyramid.ini
- mypy: run `no_implicit_optional` on the codebase
- return files as b64 in rql requests

### 👷 Bug fixes

- improve invalid param ref handling

## Version 0.10.1 (2023-10-24)
### 👷 Bug fixes

- disable JWT auth when login route is disabled
- properly enable login route in non anonymous mode

## Version 0.10.0 (2023-10-19)
### 🎉 New features

- doc: add `cubicweb_api.enable_login_route` configuration
- make it possible to disable login route
  *BREAKING CHANGE*: make it possible to disable login route
- unify naming of view functions and remove an old comment

### 👷 Bug fixes

- make request body mandatory on /login route

### 🤷 Various changes

- add information about the api vision
- add troubleshooting info about pyamid conf
- fix typo
- improve the installation instructions
- remove api-server-name mention
- remove routes recap

## Version 0.9.0 (2023-09-05)
### 🎉 New features

- add siteinfo route

## Version 0.8.0 (2023-08-11)


### 🎉 New features

**BREAKING CHANGE** : The previous transaction API using several requests has
been removed as it was unreliable when the instance was served by multiple
processes. We introduce a new transaction API that relies on a single HTTP
request which makes it suitable for multi-processes instances.  This new route
is accessible at "/api/v1/transaction".

## Version 0.7.4 (2023-08-09)

### 👷 Bug fixes

- mount api on different path depending on configuration (#34.)

## Version 0.7.3 (2023-06-07)
### 👷 Bug fixes

- display correct exception name instead of "ApiException" in json response
- fix exceptions raised by queries sent to `/rql` route not being handled
- test: enable pyramid authentication in tests
- use remember from `pyramid.security` instead od req.authentication_policy.remember (#702.)

### 🤖 Continuous integration

- add lint/twine-check,check-dependencies-resolution,safety,mypy
- add smoke tests
- switch to v2 version of CI templates

## Version 0.7.2 (2023-03-10)

## Version 0.7.1 (2023-03-10)
### 👷 Bug fixes

- argument is wrongly typed as CubicWebPyramidRequest while it's a Connection (#32 and https://forge.extranet.logilab.fr/cubicweb/cubicweb/-/issues/680)
- pkg: freeze openapi-core version since pyramid-openapi isn't compatible with the last one

## Version 0.7.0 (2023-02-15)
### 🎉 New features

- add current-user route (#30)
- log info line when writing openapi yaml file

### 👷 Bug fixes

- improve result set openapi definition

## Version 0.6.1 (2023-02-14)
### 👷 Bug fixes

- Do not check openapi.yaml content if file does not exists

## Version 0.6.0 (2023-02-09)
### 🎉 New features

- don't re-write openapi.yaml if it is already up to date
- remove 'api-server-name' configuration
- translate validation errors in http responses

## Version 0.5.1 (2022-12-20)
### 👷 Bug fixes

- no more use read_yaml_file

## Version 0.5.0 (2022-12-20)
### 🎉 New features

- upgrade dependencies
- run pyupgrade

### 👷 Bug fixes

- pkg: remove deendency of openapi-spec-validator since we updated pyramid-openapi3

## Version 0.4.4 (2022-11-23)
### 👷 Bug fixes

- pyramid: Prefix json renderer name to avoid conflicts

## Version 0.4.3 (2022-11-17)
### 👷 Bug fixes

- config: If "api-server-name" is not defined use defined base_url  instead of default one

## Version 0.4.2 (2022-09-05)
### 👷 Bug fixes

- deps: read_yaml_file() is in openapi-spec-validator version 0.4 but not 0.5

## Version 0.4.1 (2022-07-28)
### 📝 Documentation

- update documentation and readme

## Version 0.4.0 (2022-06-16)
### 🎉 New features

- allow configuring openapi server url

## Version 0.3.1 (2022-06-15)
### 👷 Bug fixes

- revert to base pyramid_jwt implementation using a custom cookie serializer

## Version 0.3.0 (2022-06-14)
### 🎉 New features

- allow configuring api path
- catch more authentication errors

### 👷 Bug fixes

- convert date and time object to iso format for JSON
- improve config path checks
- remove unnecessary enum
- removed reference to unused lib
- write openapi.yaml to cubicweb config dir

## Version 0.2.0 (2022-06-07)
### 🎉 New features

- add decorator to check for authenticated users
- add openapi spec validation
- add routes from openapi specification
- handle errors and parameter validation
- jwt: Add login route with JWT token as cookie
- jwt: allow setting custom settings paths
- jwt: use pyramid_jwt as local module to alter its behavior
- store api routes in enum
- use pyramid decorators to define API routes

### 👷 Bug fixes

- improve error logging

## Version 0.1.0 (2022-04-05)